# Developer API

## Accessing the API

To access the API, use the following method:

```java
CollectorsAPI.getAPI()
```

## API Methods

```java
Map<Chunk, CollectorLocation> getLocations() //Get all collector location

boolean hasCollector(String name) //Check if a collector type exists

Collector getCollector(String name) //Get a collector by name

TeamProvider getTeamProvider() //Get the team access provider

ValueProvider getValueProvider() //Get the sell value provider

BoosterProvider getBoosterProvider() //Get the sell booster provider

StackerProvider getStackerProvider() //Get the item stacker provider

boolean hasLocation(Chunk chunk)

CollectorLocation getLocation(Chunk chunk)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chubby.network/cloud-collectors/developer-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
